Bug 757685 - net-snmp ignores reiserfs formatted partitions
Summary: net-snmp ignores reiserfs formatted partitions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.2
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
Depends On: 755958
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-28 11:46 UTC by Jan Safranek
Modified: 2012-06-20 07:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
same as bug #748411
Clone Of: 755958
Environment:
Last Closed: 2012-06-20 07:22:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0876 normal SHIPPED_LIVE Moderate: net-snmp security and bug fix update 2012-06-19 19:28:47 UTC

Description Jan Safranek 2011-11-28 11:46:10 UTC
+++ This bug was initially created as a clone of Bug #755958 +++

Description of problem:
net-snmp ignores reiserfs formatted partitions since MNTTYPE_REISERFS is not
used in agent/mibgroup/hardware/fsys/fsys_mntent.c.

Please add the support for reiserfs partitions back.

Version-Release number of selected component (if applicable):
net-snmp-5.3.2.2-14.el5_7.1 (from RHEL5 update 7)

How reproducible:
100/100

Steps to Reproduce:
1. format a partition with REISERFS
2. configure snmp service
3. run "snmpdf -v2c -c public IP" to get the "df" information from the host
4. no info about REISERFS partition
  
Actual results:
No info about REISERFS partition.

Expected results:
Info about REISERFS partition is provided.

Additional info:
Same bug in Novell's bugzilla:
https://bugzilla.novell.com/show_bug.cgi?id=715199

Patch suggested: http://sourceforge.net/tracker/?func=detail&aid=3402376&group_id=12694&atid=312694

Most probably RHEL6 (net-snmp-5.5-31.el6) is also affected - did not check it carefully, but sources do not have reiserfs mentions.

Comment 2 Jan Safranek 2012-02-06 14:34:42 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
same as bug #748411

Comment 7 errata-xmlrpc 2012-06-20 07:22:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0876.html


Note You need to log in before you can comment on or make changes to this bug.